> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables/fitem-fidx.md).

# fitem/fidx

Provides access to the value (`fitem`) and index (`fidx`) when iterating through a list using the [`include_for_each`](/reference/integration_components/field-mapping.md#include_for_each) column on a [field mapping](/reference/integration_components/field-mapping.md).

These variables are only populated when the `include_for_each` column is set, and are only accessible in its `field` and `value` columns. They are usually used to populate lists or dictionaries for a service request's fields.

{% hint style="info" %}
Read more about the `include_for_each` column [here](/reference/integration_components/field-mapping.md#include_for_each).
{% endhint %}

```
# Given
include_for_each = ["foo", "bar", "baz"]

# First iteration
fitem ==> "foo"
fidx ==> 0

# Second iteration
fitem ==> "bar"
fidx ==> 1

etc...
```

**Example usage**

```
# Given
include_for_each = [
    {"name": "Sally", "email": "sally@email.com"},
    {"name": "Benjamin", "email": "benjamin@email.com"},
    {"name": "David", "email": "david@email.com"}
]

# To fill a theortical "all_emails" field, use
field: all_emails[fidx]
value: fitem['email']

 # Results in
 ["sally@email.com", "benjamin@email.com", "david@email.com"] 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/reference/special_variables/iterables/fitem-fidx.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
